%define pygtk2_version 2.5.3
%define gnome_python2_version 2.6.0

Name:    sabayon
Version: 2.11.90
Release: 1mdk
Summary: Tool to maintain user profiles in a GNOME desktop

Group:   System/Configuration/Other
License: GPL
URL:     http://www.gnome.org/projects/sabayon
Source:  http://ftp.gnome.org/pub/GNOME/sources/sabayon/sabayon-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: python-gamin
Requires: python-libxml2

BuildRequires: pygtk2.0-devel
BuildRequires: gtk+2-devel
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: usermode
BuildRequires: perl-XML-Parser

%description
Sabayon is a tool to help sysadmins and user change and maintain the
default behaviour of the GNOME desktop.

%package  admin
Summary:  Graphical tools for Sabayon profile management
Group:    System/Configuration/Other
Requires: %{name} = %{version}
Requires(pre):  rpm-helper
Requires(pre): usermode-consoleonly
Requires(post): gtk+2.0
Requires(postun): gtk+2.0
Requires: xorg-x11-Xnest
Requires: pygtk2.0 >= %{pygtk2_version}
Requires: gnome-python-gconf >= %{gnome_python2_version}

%description admin
The sabayon-admin package contains the graphical tools which a
sysadmin should use to manage Sabayon profiles.

%prep
%setup -q
bzip2 -9 ChangeLog

%build
%configure2_5x --prefix=%_prefix --libdir=%_libdir	\
	--enable-consolehelper=yes		\
	 --with-prototype-user=%{name}-admin
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall PAM_PREFIX=$RPM_BUILD_ROOT%{_sysconfdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2
echo 'include "$(HOME)/.gconf.path.defaults"'  > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-defaults.path
echo 'include "$(HOME)/.gconf.path.mandatory"' > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-mandatory.path

desktop-file-install --vendor gnome --delete-original		\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications			\
  --add-category X-Fedora-Extra					\
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang sabayon

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name-admin << EOF
?package(%name-admin): \
command="%_bindir/sabayon" \
needs="gnome" \
icon="sabayon.png" \
section="System/Configuration/GNOME" \
title="Sabayon" \
longtitle="Establish and Edit Profiles for Users"
EOF

# We don't want these
rm -f %buildroot%_libdir/python%pyver/site-packages/%{name}/xlib.*a

%clean
rm -rf $RPM_BUILD_ROOT

%pre admin
%_pre_useradd %name-admin /var/lib/ /sbin/nologin
/usr/sbin/usermod -d "" %{name}-admin &>/dev/null || :

%post admin
%update_menus
gtk-update-icon-cache -q %{_datadir}/icons/hicolor

%postun admin
%clean_menus
gtk-update-icon-cache -q %{_datadir}/icons/hicolor

%files -f sabayon.lang
%defattr(-, root, root, 755)

%doc AUTHORS ChangeLog.bz2 NEWS README TODO ISSUES

%config(noreplace) %{_sysconfdir}/gconf/2/local-defaults.path
%config(noreplace) %{_sysconfdir}/gconf/2/local-mandatory.path
%config(noreplace) %{_sysconfdir}/X11/xinit/xinitrc.d/%{name}*

%{_sysconfdir}/desktop-profiles

%{_sbindir}/%{name}-apply

%dir %_libdir/python%pyver/site-packages/%{name}/
%_libdir/python%pyver/site-packages/%{name}/__init__.py*
%_libdir/python%pyver/site-packages/%{name}/config.py*
%_libdir/python%pyver/site-packages/%{name}/cache.py*
%_libdir/python%pyver/site-packages/%{name}/dirmonitor.py*
%_libdir/python%pyver/site-packages/%{name}/mozilla_bookmarks.py*
%_libdir/python%pyver/site-packages/%{name}/storage.py*
%_libdir/python%pyver/site-packages/%{name}/userdb.py*
%_libdir/python%pyver/site-packages/%{name}/userprofile.py*
%_libdir/python%pyver/site-packages/%{name}/util.py*
%_libdir/python%pyver/site-packages/%{name}/sources/*.py*

%files admin
%doc doc/index.html doc/testing.html doc/helping.html doc/developing.html
%doc doc/sabayon.css doc/*.jpg doc/*.gif

%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}

%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_libexecdir}/%{name}*

%{_datadir}/%{name}/glade/%{name}.glade
%{_datadir}/applications/gnome-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%_libdir/python%pyver/site-packages/%{name}/xlib.so

%_libdir/python%pyver/site-packages/%{name}/aboutdialog.py*
%_libdir/python%pyver/site-packages/%{name}/changeswindow.py*
%_libdir/python%pyver/site-packages/%{name}/editorwindow.py*
%_libdir/python%pyver/site-packages/%{name}/fileviewer.py*
%_libdir/python%pyver/site-packages/%{name}/gconfviewer.py*
%_libdir/python%pyver/site-packages/%{name}/profilesdialog.py*
%_libdir/python%pyver/site-packages/%{name}/protosession.py*
%_libdir/python%pyver/site-packages/%{name}/saveconfirm.py*
%_libdir/python%pyver/site-packages/%{name}/sessionwidget.py*
%_libdir/python%pyver/site-packages/%{name}/sessionwindow.py*
%_libdir/python%pyver/site-packages/%{name}/usermod.py*
%_libdir/python%pyver/site-packages/%{name}/usersdialog.py*
%_menudir/%name-admin

%changelog
* Tue Aug  2 2005 Gtz Waschk <waschk@mandriva.org> 2.11.90-1mdk
- no noarch
- build and installation fixes
- New release 2.11.90

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.18-2mdk
- add menu entry

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.18-1mdk
- initial mdk package

* Wed May 18 2005 Mark McLoughlin <markmc@redhat.com> - 0.18-1
- Update to 0.18

* Thu Mar 24 2005 Mark McLoughlin <markmc@redhat.com> - 0.17-1
- Update to 0.17
- Pass --with-prototype-user=sabayon-admin to configure

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-8
- Add BuildRequires: usermode and pass --enable-consolehelper=yes
  to configure

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-7
- Move Xnest and shadow-utils requires to sabayon-admin
- Require libxml2-python

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-6
- Make noarch

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-5
- Add dirmonitor.py to base package

* Sun Mar 20 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-4
- Split the package into sabayon and sabayon-admin
- BuildRequires: gettext instead of gettext-devel

* Sat Mar 19 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-3
- Remove period at the end of the summary
- Specify full URL for source
- BuildRequires: python 
- Use %{_sysconfdir} everywhere
- Set the directory mode

* Fri Mar 18 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-2
- BuildRequires: gettext-devel
- Add X-Fedora-Extra to .desktop file

* Wed Mar 16 2005 Mark McLoughlin <markmc@redhat.com>
- Various changes to bring in line with Fedora package guidelines

* Wed Feb  9 2005 Daniel Veillard <veillard@redhat.com>
- initial version
